> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keyapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Shop Products

> Retrieve the real-time product listing for a TikTok Shop seller, including current inventory, prices, and product status.

<div className="inline-flex items-center gap-2 px-4 py-2 bg-yellow-50 dark:bg-yellow-900/20 border border-yellow-200 dark:border-yellow-800 rounded-lg">
  <span className="text-base">🪙</span>
  <span className="text-sm font-medium text-yellow-900 dark:text-yellow-100"><span className="font-semibold">2 credits</span><span className="text-yellow-700 dark:text-yellow-300 ml-1">per request</span></span>
</div>

## Copy for AI

<div className="my-6 rounded-xl border border-gray-200 bg-gray-50 p-5 dark:border-gray-800 dark:bg-gray-900/40">
  <div className="min-w-0">
    <p className="text-base font-semibold text-gray-900 dark:text-gray-100">🤖 Why Code When AI Can Do It For You?</p>
    <p className="mt-1 text-sm text-gray-700 dark:text-gray-300">Stop writing code like it's 1970! Let AI do the heavy lifting - click the sparkles to copy a perfectly formatted prompt for ChatGPT, Claude, or your favorite AI assistant.</p>
  </div>

  <div className="mt-4">
    <button
      type="button"
      className="inline-flex items-center gap-2 rounded-md border border-emerald-300 bg-emerald-50 px-3 py-2 text-sm font-medium text-emerald-800 hover:bg-emerald-100 dark:border-emerald-700 dark:bg-emerald-900/30 dark:text-emerald-100 dark:hover:bg-emerald-900/50"
      onClick={() => navigator.clipboard.writeText(`I want to make an API call to https://api.keyapi.ai/v1/tiktok/shop/products.

Please help me write code to make this API call and handle the response appropriately. Include error handling and best practices.

Here are the details:

Endpoint: GET https://api.keyapi.ai/v1/tiktok/shop/products

Description: Retrieve the real-time product listing for a TikTok Shop seller, including current inventory, prices, and product status.

Required Headers:
--header 'Authorization: Bearer <YOUR_API_KEY>'

Parameters:
- seller_id (Required): Shop unique ID (numeric string, not shop code). Example: 7495045046260173699
- offset (Optional): Pagination parameters. For the first time, you can leave it blank without passing. When the returned has_more=true, use next_scroll_param for the next pagination.
- region (Required): Supported regions: "US", "GB", "DE", "FR", "IT", "ID", "MY", "MX", "PH", "SG", "ES", "TH", "VN", "BR", "JP", "IE"

Example Response:
{
"code": 0,
"message": "success",
"data": {
"has_more": true,
"next_scroll_param": "WzcwNzM5LCIxNzI5NTQ5NjE5NjE5NjY0NzcxIl0=",
"product_list_map": {
  "Store.Top_Product_Subpage_Feeds.Common": {
    "product_list": [
      {
        "product_id": "1729505773514822531",
        "status": 1,
        "pdp_schema": "aweme://ec/pdp?biz_type=0&fullScreen=true&orderRequestParams=%7B%7D&requestParams=%7B%22product_id%22%3A%5B%221729505773514822531%22%5D%2C%22ab_img%22%3Afalse%2C%22traffic_signature%22%3A%22%7B%5C%22scene%5C%22%3A%5C%22Default.Store.Product_Page_Feeds%5C%22%7D%22%7D&visitReportParams=%7B%22chain_key%22%3A%22%22%2C%22material_id%22%3A%221729505773514822531%22%2C%22material_type%22%3A1%2C%22seller_id%22%3A%227495045046260173699%22%7D",
        "cover": {
          "image": {
            "height": 500,
            "width": 500,
            "uri": "tos-useast5-i-omjb5zjo8w-tx/62bf5e634cf146f5a127dc42a41f334b",
            "url_list": [
              "https://p16-oec-general-useast5.ttcdn-us.com/tos-useast5-i-omjb5zjo8w-tx/62bf5e634cf146f5a127dc42a41f334b~tplv-fhlh96nyum-crop-webp:500:500.webp?dr=12190&t=555f072d&ps=933b5bde&shp=837c8b87&shcp=9b759fb9&idc=useast5&from=2205977479"
            ],
            "ratio": 1
          }
        },
        "title": {
          "title": "Comfrt | Oversized Minimalist Hoodie"
        },
        "price": {
          "sku_id": "1731762
... (truncated)`)}
    >
      <span>✨</span>
      <span>Copy for AI</span>
    </button>
  </div>
</div>


## OpenAPI

````yaml en/tiktok.openapi.json GET /v1/tiktok/shop/products
openapi: 3.0.1
info:
  title: Tiktok API english documentation
  description: >-
    The english reference documentation of the Tiktok API includes the
    interface's purpose, parameter description, response status, and sample
    structure.
  version: 1.0.0
servers:
  - url: https://api.keyapi.ai
    description: Production
security: []
tags:
  - name: TikTok Influencer
  - name: TikTok Shop
  - name: TikTok Content
  - name: TikTok Intelligence
paths:
  /v1/tiktok/shop/products:
    get:
      tags:
        - TikTok Shop
      summary: Get Shop Products
      description: >-
        Retrieve the real-time product listing for a TikTok Shop seller,
        including current inventory, prices, and product status.
      operationId: get_api_v3_realtime_seller_product_list
      parameters:
        - name: seller_id
          in: query
          required: true
          schema:
            type: string
            example: '7495045046260173699'
            default: '7495045046260173699'
          example: '7495045046260173699'
          description: Shop unique ID (numeric string, not shop code)
        - name: offset
          in: query
          description: >-
            Pagination parameters. For the first time, you can leave it blank
            without passing. When the returned has_more=true, use
            next_scroll_param for the next pagination.
          required: false
          schema:
            type: string
        - name: region
          in: query
          description: >-
            Supported regions: "US", "GB", "DE", "FR", "IT", "ID", "MY", "MX",
            "PH", "SG", "ES", "TH", "VN", "BR", "JP", "IE"
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties: {}
                example:
                  code: 0
                  message: success
                  data:
                    has_more: true
                    next_scroll_param: WzcwNzM5LCIxNzI5NTQ5NjE5NjE5NjY0NzcxIl0=
                    product_list_map:
                      Store.Top_Product_Subpage_Feeds.Common:
                        product_list:
                          - product_id: '1729505773514822531'
                            status: 1
                            pdp_schema: >-
                              aweme://ec/pdp?biz_type=0&fullScreen=true&orderRequestParams=%7B%7D&requestParams=%7B%22product_id%22%3A%5B%221729505773514822531%22%5D%2C%22ab_img%22%3Afalse%2C%22traffic_signature%22%3A%22%7B%5C%22scene%5C%22%3A%5C%22Default.Store.Product_Page_Feeds%5C%22%7D%22%7D&visitReportParams=%7B%22chain_key%22%3A%22%22%2C%22material_id%22%3A%221729505773514822531%22%2C%22material_type%22%3A1%2C%22seller_id%22%3A%227495045046260173699%22%7D
                            cover:
                              image:
                                height: 500
                                width: 500
                                uri: >-
                                  tos-useast5-i-omjb5zjo8w-tx/62bf5e634cf146f5a127dc42a41f334b
                                url_list:
                                  - >-
                                    https://p16-oec-general-useast5.ttcdn-us.com/tos-useast5-i-omjb5zjo8w-tx/62bf5e634cf146f5a127dc42a41f334b~tplv-fhlh96nyum-crop-webp:500:500.webp?dr=12190&t=555f072d&ps=933b5bde&shp=837c8b87&shcp=9b759fb9&idc=useast5&from=2205977479
                                ratio: 1
                            title:
                              title: Comfrt | Oversized Minimalist Hoodie
                            price:
                              sku_id: '1731762826984002435'
                              currency_name: USD
                              currency_symbol: $
                              symbol_position: 1
                              sale_price_decimal: '48.99'
                              origin_price_decimal: '120'
                              sale_price_format: '48.99'
                              origin_price_format: '120.00'
                              discount_format: 59%
                              discount_decimal: '0.59'
                              show_currency_space: false
                              currency_show_mode: 1
                              sale_price_integer_part_format: '48'
                              sale_price_decimal_part_format: '99'
                              decimal_point_symbol: .
                            add_to_cart_button:
                              status: 1
                              click_hint: ''
                              button_text: Add to cart
                            sku_ids:
                              - '1729505733171975043'
                              - '1729505733172040579'
                              - '1729505733172106115'
                              - '1729505733172171651'
                              - '1729505733172237187'
                              - '1729505733172302723'
                              - '1729505733172368259'
                              - '1729625823329817475'
                              - '1729625823329883011'
                              - '1729625823329948547'
                              - '1729625823330014083'
                              - '1729625823330079619'
                              - '1729625823330145155'
                              - '1729625823330210691'
                              - '1729505733172433795'
                              - '1729505733172499331'
                              - '1729505733172564867'
                              - '1729505733172630403'
                              - '1729505733172695939'
                              - '1729505733172761475'
                              - '1729505733172827011'
                              - '1729505733172892547'
                              - '1729505733172958083'
                              - '1729505733173023619'
                              - '1729505733173089155'
                              - '1729505733173154691'
                              - '1729505733173220227'
                              - '1729505733173285763'
                              - '1729505733173351299'
                              - '1729505733173416835'
                              - '1729505733173482371'
                              - '1729505733173547907'
                              - '1729505733173613443'
                              - '1729505733173678979'
                              - '1729505733173744515'
                              - '1729505733173810051'
                              - '1729505733173875587'
                              - '1729505739168650115'
                              - '1729505739168715651'
                              - '1729505739168781187'
                              - '1729505739168846723'
                              - '1729505739168912259'
                              - '1730264217989845891'
                              - '1730264217989911427'
                              - '1730264217989976963'
                              - '1730264217990042499'
                              - '1730264217990108035'
                              - '1730264217990173571'
                              - '1730264217990239107'
                              - '1730264217990304643'
                              - '1730264217990370179'
                              - '1730264217990435715'
                              - '1730264217990501251'
                              - '1730264217990566787'
                              - '1730264217990632323'
                              - '1730264217990697859'
                              - '1730264217990763395'
                              - '1730264217990828931'
                              - '1730264217990894467'
                              - '1730264217990960003'
                              - '1730264217991025539'
                              - '1730264217991091075'
                              - '1730264217991156611'
                              - '1730376424359826307'
                              - '1730376424359891843'
                              - '1730376424359957379'
                              - '1730376424360022915'
                              - '1730376424360088451'
                              - '1730376424360153987'
                              - '1730376424360219523'
                              - '1730434832387052419'
                              - '1730434832387117955'
                              - '1730434832387183491'
                              - '1730434832387249027'
                              - '1730434832387314563'
                              - '1730434832387380099'
                              - '1730434832387445635'
                              - '1730434832387511171'
                              - '1730434832387576707'
                              - '1730434832387642243'
                              - '1730434832387707779'
                              - '1730434832387773315'
                              - '1730434832387838851'
                              - '1730434832387904387'
                              - '1731018209643697027'
                              - '1731018209643762563'
                              - '1731018209643828099'
                              - '1731018209643893635'
                              - '1731018209643959171'
                              - '1731018209644024707'
                              - '1731018209644090243'
                              - '1731124566721991555'
                              - '1731124566722057091'
                              - '1731124566722122627'
                              - '1731124566722188163'
                              - '1731124566722253699'
                              - '1731124566722319235'
                              - '1731124566722384771'
                              - '1731124566722450307'
                              - '1731124566722515843'
                              - '1731124566722581379'
                              - '1731124566722646915'
                              - '1731124566722712451'
                              - '1731124566722777987'
                              - '1731124566722843523'
                              - '1731124566722909059'
                              - '1731124566722974595'
                              - '1731124566723040131'
                              - '1731124566723105667'
                              - '1731124566723171203'
                              - '1731124566723236739'
                              - '1731124566723302275'
                              - '1731257005913379715'
                              - '1731257005913445251'
                              - '1731257005913510787'
                              - '1731257005913576323'
                              - '1731257005913641859'
                              - '1731257005913707395'
                              - '1731257005913772931'
                              - '1731257005913838467'
                              - '1731257005913904003'
                              - '1731256999871550339'
                              - '1731256999871615875'
                              - '1731256999871681411'
                              - '1731256999871746947'
                              - '1731256999871812483'
                              - '1731327530024735619'
                              - '1731327530024801155'
                              - '1731327530024866691'
                              - '1731327530024932227'
                              - '1731327530024997763'
                              - '1731327530025063299'
                              - '1731327530025128835'
                              - '1731443038381970307'
                              - '1731443038382035843'
                              - '1731443038382101379'
                              - '1731443038382166915'
                              - '1731443039974757251'
                              - '1731443039974822787'
                              - '1731443039974888323'
                              - '1731443039974953859'
                              - '1731443039975019395'
                              - '1731443039975084931'
                              - '1731443039975150467'
                              - '1731443039975216003'
                              - '1731443039975281539'
                              - '1731443039975347075'
                              - '1731443039975412611'
                              - '1731443039975478147'
                              - '1731443039975543683'
                              - '1731443039975609219'
                              - '1731443039975674755'
                              - '1731443039975740291'
                              - '1731443039975805827'
                              - '1731726798583403395'
                              - '1731726798583468931'
                              - '1731726798583534467'
                              - '1731726798583600003'
                              - '1731726798583665539'
                              - '1731726798583731075'
                              - '1731726798583796611'
                              - '1731726798583862147'
                              - '1731726798583927683'
                              - '1731726798583993219'
                              - '1731726798584058755'
                              - '1731726798584124291'
                              - '1731726798584189827'
                              - '1731726798584255363'
                              - '1731762826983609219'
                              - '1731762826983674755'
                              - '1731762826983740291'
                              - '1731762826983805827'
                              - '1731762826983871363'
                              - '1731762826983936899'
                              - '1731762826984002435'
                            seller_id: '7495045046260173699'
                            official_creator_id: '108068417546379264'
                            biz_type: 0
                            source: 5
                            now_buy_button:
                              status: 1
                              jump_schema: >-
                                aweme://ec/pdp?biz_type=0&fullScreen=true&orderRequestParams=%7B%7D&requestParams=%7B%22product_id%22%3A%5B%221729505773514822531%22%5D%2C%22ab_img%22%3Afalse%2C%22traffic_signature%22%3A%22%7B%5C%22scene%5C%22%3A%5C%22Default.Store.Product_Page_Feeds%5C%22%7D%22%7D&visitReportParams=%7B%22chain_key%22%3A%22%22%2C%22material_id%22%3A%221729505773514822531%22%2C%22material_type%22%3A1%2C%22seller_id%22%3A%227495045046260173699%22%7D
                              button_text: Buy
                            placement_labels:
                              - placement: 3
                                labels:
                                  - id: '8'
                                    type: 8
                                    text: Free shipping
                                    icon:
                                      light_icon:
                                        height: 800
                                        width: 800
                                        mimetype: ''
                                        uri: >-
                                          tos-maliva-i-5i1jvf5urr-us/free_shipping_strong.png
                                        url_list:
                                          - >-
                                            https://p16-oec-general.ttcdn-us.com/tos-maliva-i-5i1jvf5urr-us/free_shipping_strong.png~tplv-fhlh96nyum-resize-png:800:800.png?dr=12184&t=555f072d&ps=933b5bde&shp=cde50ccb&shcp=d9d491bf&idc=useast5&from=3454340299
                                          - >-
                                            https://p19-oec-general.ttcdn-us.com/tos-maliva-i-5i1jvf5urr-us/free_shipping_strong.png~tplv-fhlh96nyum-resize-png:800:800.png?dr=12184&t=555f072d&ps=933b5bde&shp=cde50ccb&shcp=d9d491bf&idc=useast5&from=3454340299
                                      dark_icon:
                                        height: 800
                                        width: 800
                                        mimetype: ''
                                        uri: >-
                                          tos-maliva-i-5i1jvf5urr-us/free_shipping_strong_dark.png
                                        url_list:
                                          - >-
                                            https://p16-oec-general.ttcdn-us.com/tos-maliva-i-5i1jvf5urr-us/free_shipping_strong_dark.png~tplv-fhlh96nyum-resize-png:800:800.png?dr=12184&t=555f072d&ps=933b5bde&shp=cde50ccb&shcp=d9d491bf&idc=useast5&from=3454340299
                                          - >-
                                            https://p19-oec-general.ttcdn-us.com/tos-maliva-i-5i1jvf5urr-us/free_shipping_strong_dark.png~tplv-fhlh96nyum-resize-png:800:800.png?dr=12184&t=555f072d&ps=933b5bde&shp=cde50ccb&shcp=d9d491bf&idc=useast5&from=3454340299
                                    default_style: 11
                                    status: 0
                                    claimed_status: 0
                                    is_show_icon: true
                                    da_info: >-
                                      {"label_type":"PRODUCT_FREE_SHIPPING","activity_name":"8","has_icon":"true","ranking":"1","promotion_id":"-999","is_free_shipping":"1","delivery_tag":"free_shipping","placement":"FREE_SHIPPING"}
                                    feature:
                                      - property_name: split_free_shipping
                                        property_value: '1'
                              - placement: 0
                                labels:
                                  - id: '8'
                                    type: 8
                                    text: Free shipping
                                    icon:
                                      light_icon:
                                        height: 800
                                        width: 800
                                        mimetype: ''
                                        uri: >-
                                          tos-maliva-i-5i1jvf5urr-us/free_shipping_strong.png
                                        url_list:
                                          - >-
                                            https://p16-oec-general.ttcdn-us.com/tos-maliva-i-5i1jvf5urr-us/free_shipping_strong.png~tplv-fhlh96nyum-resize-png:800:800.png?dr=12184&t=555f072d&ps=933b5bde&shp=cde50ccb&shcp=d9d491bf&idc=useast5&from=3454340299
                                          - >-
                                            https://p19-oec-general.ttcdn-us.com/tos-maliva-i-5i1jvf5urr-us/free_shipping_strong.png~tplv-fhlh96nyum-resize-png:800:800.png?dr=12184&t=555f072d&ps=933b5bde&shp=cde50ccb&shcp=d9d491bf&idc=useast5&from=3454340299
                                      dark_icon:
                                        height: 800
                                        width: 800
                                        mimetype: ''
                                        uri: >-
                                          tos-maliva-i-5i1jvf5urr-us/free_shipping_strong_dark.png
                                        url_list:
                                          - >-
                                            https://p16-oec-general.ttcdn-us.com/tos-maliva-i-5i1jvf5urr-us/free_shipping_strong_dark.png~tplv-fhlh96nyum-resize-png:800:800.png?dr=12184&t=555f072d&ps=933b5bde&shp=cde50ccb&shcp=d9d491bf&idc=useast5&from=3454340299
                                          - >-
                                            https://p19-oec-general.ttcdn-us.com/tos-maliva-i-5i1jvf5urr-us/free_shipping_strong_dark.png~tplv-fhlh96nyum-resize-png:800:800.png?dr=12184&t=555f072d&ps=933b5bde&shp=cde50ccb&shcp=d9d491bf&idc=useast5&from=3454340299
                                    default_style: 11
                                    status: 0
                                    claimed_status: 0
                                    is_show_icon: true
                                    da_info: >-
                                      {"is_free_shipping":"1","label_type":"PRODUCT_FREE_SHIPPING","promotion_id":"-999","activity_name":"8","has_icon":"true","delivery_tag":"free_shipping","placement":"NOT_GROUP","ranking":"1"}
                                    feature:
                                      - property_name: split_free_shipping
                                        property_value: '1'
                                  - id: '7584553234035984142'
                                    type: 4
                                    text: Limited time deal
                                    default_style: 12
                                    status: 102
                                    claimed_status: 0
                                    is_show_icon: false
                                    da_info: >-
                                      {"promotion_id":"7584553234035984142","has_icon":"false","flash_sale_cost_role":"2","limited_time_deal":"1","label_type":"FLASH_SALE","activity_name":"4","placement":"NOT_GROUP","ranking":"2"}
                                    feature:
                                      - property_name: limited_time_deal
                                        property_value: 'true'
                                      - property_name: seller_non_live_flash_sale
                                        property_value: 'true'
                                      - property_name: metric_custom
                                        property_value: seller_flash_sale
                                      - property_name: countdown
                                        property_value: '173770'
                                      - property_name: countdown_start_time
                                        property_value: '1767585660000'
                                      - property_name: countdown_end_time
                                        property_value: '1767844800000'
                                      - property_name: activity_price
                                        property_value: ''
                                      - property_name: is_seller_flash_sale
                                        property_value: '1'
                                  - id: '7589319397186275085'
                                    type: 6
                                    text: Extra 5% off
                                    default_style: 8
                                    status: 0
                                    claimed_status: 0
                                    da_info: >-
                                      {"label_type":"VOUCHER","activity_name":"6","has_icon":"false","coupon_type_info":"{\"business_type\":\"min_spend_discount\"}","coupon_cost_role":"seller","shop_id":"7495045046260173699","promotion_id":"7589319397186275085","placement":"NOT_GROUP","ranking":"3"}
                                    feature:
                                      - property_name: discount_rate
                                        property_value: '3.98040416411513'
                                      - property_name: metric_custom
                                        property_value: short_text
                              - placement: 1
                                labels:
                                  - id: '7584553234035984142'
                                    type: 4
                                    text: Limited time deal
                                    default_style: 12
                                    status: 102
                                    claimed_status: 0
                                    is_show_icon: false
                                    da_info: >-
                                      {"has_icon":"false","promotion_id":"7584553234035984142","placement":"DEFAULT","ranking":"1","activity_name":"4","limited_time_deal":"1","flash_sale_cost_role":"2","label_type":"FLASH_SALE"}
                                    feature:
                                      - property_name: limited_time_deal
                                        property_value: 'true'
                                      - property_name: seller_non_live_flash_sale
                                        property_value: 'true'
                                      - property_name: metric_custom
                                        property_value: seller_flash_sale
                                      - property_name: countdown
                                        property_value: '173770'
                                      - property_name: countdown_start_time
                                        property_value: '1767585660000'
                                      - property_name: countdown_end_time
                                        property_value: '1767844800000'
                                      - property_name: activity_price
                                        property_value: ''
                                      - property_name: is_seller_flash_sale
                                        property_value: '1'
                                  - id: '7589319397186275085'
                                    type: 6
                                    text: Extra 5% off
                                    default_style: 8
                                    status: 0
                                    claimed_status: 0
                                    da_info: >-
                                      {"coupon_type_info":"{\"business_type\":\"min_spend_discount\"}","shop_id":"7495045046260173699","promotion_id":"7589319397186275085","ranking":"2","activity_name":"6","coupon_cost_role":"seller","placement":"DEFAULT","label_type":"VOUCHER","has_icon":"false"}
                                    feature:
                                      - property_name: discount_rate
                                        property_value: '3.98040416411513'
                                      - property_name: metric_custom
                                        property_value: short_text
                            tag_list:
                              - tag_type: 302
                                text: '4.7'
                                extra_text: 16.8K
                              - tag_type: 301
                                text: 196.5K sold
                              - tag_type: 326
                                text: '1'
                            log_extra: >-
                              {"rating_strategy":{"review_cnt":"16764"},"seller_product_id":"1729505773514822531","platform_product_id":"","seller_seller_id":"7495045046260173699","seller_shop_id":"7495045046260173699","title_strategy":{"title_tactics_type":0},"is_platform_product":0,"platform_shop_id":"","seller_sku_id":"1729505733171975043","sku_id":"1729505733171975043","platform_sku_id":"","cover_strategy":{"image_tactics_type":0,"is_smart_crop":false},"sale_modes":"[]","platform_seller_id":"","sold_count_strategy":{"volume_type":"sold","volume":"196487"}}
                            bcm_standard_track:
                              track_param:
                                bcm_multiverse_id: >-
                                  202601060343502787084010020000000d443a767ef6691b
                              chain_param:
                                bcm_multiverse_id: >-
                                  202601060343502787084010020000000d443a767ef6691b
                            author_id: '108068417546379264'
                            selling_point:
                              - type: 67001
                                item_list:
                                  - text: 9.2K+ repurchased
                                    augment_code: repurchase_num_in_180d
                                    selling_point_extra_info_for_algo:
                                      category: statistic
                                      type: repurchase_num_in_180d
                                      count_val: 9241
                        property_map:
                          add_cart_property: >-
                            [{"button_style":"icon_round","background_color":"grey","icon_color":"black"}]
                          busines_config: >-
                            {"needAddCart":true,"needBuyNow":true,"subContainerClass":"","needTagsLineBetween":true}
                          buy_now_property: >-
                            [{"button_action":"buy_now","button_style":"normal"}]
                          price_property: >-
                            [{"type":"UNIT","size":"P2","arrangement":"VERTICAL","salePriceColor":"TextPrimary","originalPriceShowColor":"TextQuaternary","discountShowType":"8","discountShowBesidePrice":true,"discountBorderRadius":"8px","salePriceColorWithDiscount":"","hidePricePrefix":false,"preSize":"P2","afterSize":"P5"}]
                          promotion_label_property: >-
                            {"icon_config":{"4":{"main_icon":{"dark_icon":{"url_list":["https://p16-oec-general.ttcdn-us.com/tos-maliva-i-o3syd03w52-us/flash_fill_icon_dark_20250430.png~tplv-fhlh96nyum-resize-png:800:800.png?dr=12184&t=555f072d&ps=933b5bde&shp=cde50ccb&shcp=d9d491bf&idc=useast5&from=3454340299"]},"light_icon":{"url_list":["https://p16-oec-general.ttcdn-us.com/tos-maliva-i-o3syd03w52-us/flash_fill_icon_light_20250430.png~tplv-fhlh96nyum-resize-png:800:800.png?dr=12184&t=555f072d&ps=933b5bde&shp=cde50ccb&shcp=d9d491bf&idc=useast5&from=3454340299"]}}},"8":{"main_icon":{"dark_icon":{"url_list":[""]},"light_icon":{"url_list":[""]}}},"31":{"redirect":8},"32":{"redirect":8},"34":{"redirect":8},"35":{"redirect":8},"66":{"redirect":8},"67":{"redirect":8}},"label_config":{"4":{"theme":"Primary","textFont":13,"bgColor":{"dark":"transparent","light":"transparent"},"textColor":{"dark":"#ff576f","light":"#e10543"},"countdownFont":13,"countdownTime":86400000,"countDownNumberWidth":"16px","countDownDividerWidth":"3px","countDownMarginLeft":"3px","gap":3,"padding":0,"style":100},"6":{"redirect":4},"7":{"redirect":4},"8":{"theme":"Cyan","textFont":13,"bgColor":{"dark":"transparent","light":"transparent"},"textColor":{"dark":"#007B7B","light":"#007B7B"},"gap":3,"padding":0,"style":100,"rtlIcon":true},"10":{"redirect":4},"11":{"redirect":4},"18":{"redirect":4},"23":{"redirect":4},"25":{"redirect":4},"26":{"redirect":4},"28":{"redirect":4},"29":{"redirect":4},"31":{"redirect":8},"32":{"redirect":8},"34":{"redirect":8},"35":{"redirect":8},"37":{"redirect":4},"46":{"redirect":4},"55":{"redirect":4},"57":{"redirect":4},"66":{"redirect":8},"67":{"redirect":8},"70":{"redirect":4},"115":{"redirect":4},"10000":{"theme":"Primary","textFont":13,"bgColor":{"dark":"transparent","light":"transparent"},"textColor":{"dark":"#ff576f","light":"#e10543"},"countdownFont":13,"countdownTime":86400000,"gap":3,"padding":0,"style":100,"textMaxLine":3}}}
                          rate_property: >-
                            [{"rating_ui_style":"five_star","rating_text_display_type":"before_star"}]
                          tag_property: ''
                          title_property: '[{"title_lines":2}]'
                  requestId: fe5af561-2232-418c-aa5a-0b4b8bda678e
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 400
                  data: null
                  message: 'Missing required parameter: handle'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 401
                  data: null
                  message: apiKey is null
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 402
                  data: null
                  message: apiKey quota is not enough
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 429
                  data: null
                  message: qps limit exceeded
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 500
                  data: null
                  message: Internal server error
      deprecated: false
      security:
        - JWT Bearer: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.keyapi.ai/v1/tiktok/shop/products?seller_id=7495045046260173699' \
              --header 'Authorization: Bearer <YOUR_API_KEY>'
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.get(
                'https://api.keyapi.ai/v1/tiktok/shop/products',
                params={"seller_id": "7495045046260173699"},
                headers={'Authorization': 'Bearer <YOUR_API_KEY>'}
            )
            print(response.json())
        - lang: javascript
          label: JavaScript
          source: >-
            const params = new URLSearchParams({"seller_id":
            "7495045046260173699"});


            const response = await
            fetch(`https://api.keyapi.ai/v1/tiktok/shop/products?${params}`, {
              method: 'GET',
              headers: { 'Authorization': 'Bearer <YOUR_API_KEY>' }
            });

            const data = await response.json();

            console.log(data);
components:
  securitySchemes:
    JWT Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`
        Get your API key from the [Dashboard](http://keyapi.ai/app/dashboard).

````